Summary:	OpenGL GTK widget
Name:		gtkglarea2
Version:	1.99.0
Release:	2%{?dist}

License:	LGPL
Group:		System Environment/Libraries
URL:		ftp://ftp.gnome.org/pub/gnome/sources/gtkglarea
# ftp://ftp.gnome.org/pub/gnome/sources/gtkglarea/
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/gtkglarea/1.99/gtkglarea-1.99.0.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig, xorg-x11-devel
BuildRequires:	gtk2-devel

%package devel
Summary:	Development package for gtkglarea2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	XFree86-devel
Requires:	gtk2-devel

%description
GtkGLArea is a GTK widget that makes it easy to use OpenGL or Mesa
from your GTK programs.

%description devel
GtkGLArea is a GTK widget that makes it easy to use OpenGL or Mesa
from your GTK programs.
This package contains header files and libraries for GtkGLArea
software development.

%prep
%setup -q -n gtkglarea-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS
%{_libdir}/libgtkgl-2.0.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/libgtkgl-2.0.la
%{_libdir}/libgtkgl-2.0.a
%{_libdir}/libgtkgl-2.0.so
%{_includedir}/gtkgl-2.0
%{_libdir}/pkgconfig/gtkgl-2.0.pc

%changelog
* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:1.99.0-1
- Adapted for Extras

* Sun Jul  6 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.4
- Renamed specfile to gtkglarea2.spec to make rpmlint happy.
- Added missing dependencies for devel package
- Fixed typo in devel Summary:

* Wed Jun 25 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.3
- BuildRequires for XFree86-Mesa-libGL/libGLU
- Removed URL in Source0

* Tue May  6 2003 Dams <anvil[AT]livna.org> 0:1.99.0-0.fdr.2
- buildroot -> RPM_BUILD_ROOT

* Wed Apr 23 2003 Dams <anvil[AT]livna.org> 
- Initial build.
